# InternalPacket.h File Reference

[Internal] A class which stores a user message, and all information associated with sending and receiving that message. More...

`#include "PacketPriority.h"`
`#include "RakNetTypes.h"`
`#include "RakMemoryOverride.h"`

## Classes

struct | InternalPacket

## Typedefs

typedef unsigned int | MessageNumberType
typedef MessageNumberType | OrderingIndexType

## Detailed Description

[Internal] A class which stores a user message, and all information associated with sending and receiving that message.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement. Creative Commons Licensees are subject to the license found at http://creativecommons.org/licenses/by-nc/2.5/ Single application licensees are subject to the license found at http://www.jenkinssoftware.com/SingleApplicationLicense.html Custom license users are subject to the terms therein. GPL license users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

## Typedef Documentation

typedef unsigned int MessageNumberType

This is the counter used for holding packet numbers, so we can detect duplicate packets. It should be large enough that if the variables were to wrap, the newly wrapped values would no longer be in use. Warning: Too large of a value wastes bandwidth! Use the smallest possible value, such that you send no more than rangeof(MessageNumberType) / GetTimeoutTime() packets per second For the default value of 10 seconds, this is unsigned char - 25.5 packets per second unsigned short - 6553.5 packets per second unsigned int - You'll run out of memory first.

typedef MessageNumberType OrderingIndexType

This is the counter used for holding ordered packet numbers, so we can detect out-of-order packets. It should be large enough that if the variables were to wrap, the newly wrapped values would no longer be in use. Warning: Too large of a value wastes bandwidth!